<?php
/**
 * Obtiene el detalle de una meta especificada por
 * su identificador "NroPedido"
 */
header('Content-type: text/html; charset=utf-8');


require 'Pedido.php';

if ($_SERVER['REQUEST_METHOD'] == 'GET') {

    if (isset($_GET['NroPedido'])) {

        // Obtener parámetro idMeta
         $parametro_nroMovil = $_GET['NroMovil'];
         $parametro_fecha = $_GET['Fecha'];
         $parametro_nroPedido = $_GET['NroPedido'];
      
      

        // Tratar retorno
        $retorno = Pedido::getById($parametro_nroMovil, $parametro_fecha, $parametro_nroPedido);


        if ($retorno) {
             print json_encode($retorno);
          //  $meta["estado"] = "1";
            // Enviar objeto json de la meta
        } else {
            // Enviar respuesta de error general
            echo $parametro_nroPedido;
            print json_encode(
                array(
                    'estado' => 'false',
                    'mensaje' => 'No se obtuvo el registro'
                )
            );
        }

    } else {
        // Enviar respuesta de error
        print json_encode(
            array(
                'estado' => 'false',
                'mensaje' => 'Se necesita un numero de pedido'
            )
        );
    }
}